package cn.superdesk.uniorder.dao.mapper.unified.settlement;

import cn.superdesk.uniorder.dao.entity.unified.settlement.UnifiedSettlementProgrammeRangeRule;
import cn.superdesk.uniorder.dao.entity.unified.settlement.UnifiedSettlementProgrammeRangeRuleExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UnifiedSettlementProgrammeRangeRuleMapper {
    long countByExample(UnifiedSettlementProgrammeRangeRuleExample example);

    int deleteByExample(UnifiedSettlementProgrammeRangeRuleExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UnifiedSettlementProgrammeRangeRule record);

    int insertSelective(UnifiedSettlementProgrammeRangeRule record);

    List<UnifiedSettlementProgrammeRangeRule> selectByExampleWithBLOBs(UnifiedSettlementProgrammeRangeRuleExample example);

    List<UnifiedSettlementProgrammeRangeRule> selectByExample(UnifiedSettlementProgrammeRangeRuleExample example);

    UnifiedSettlementProgrammeRangeRule selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UnifiedSettlementProgrammeRangeRule record, @Param("example") UnifiedSettlementProgrammeRangeRuleExample example);

    int updateByExampleWithBLOBs(@Param("record") UnifiedSettlementProgrammeRangeRule record, @Param("example") UnifiedSettlementProgrammeRangeRuleExample example);

    int updateByExample(@Param("record") UnifiedSettlementProgrammeRangeRule record, @Param("example") UnifiedSettlementProgrammeRangeRuleExample example);

    int updateByPrimaryKeySelective(UnifiedSettlementProgrammeRangeRule record);

    int updateByPrimaryKeyWithBLOBs(UnifiedSettlementProgrammeRangeRule record);

    int updateByPrimaryKey(UnifiedSettlementProgrammeRangeRule record);
}